The ncp-update command returns with the following error message:

$ sudo /usr/local/bin/ncp-update
...
/usr/local/etc/library.sh: line 278: lsb_release: command not found

Update to buster available. Type 'sudo ncp-dist-upgrade' to upgrade

I faked the command lsb_release which I can't find on Armbian 20.11.6. Neither installed nor in the Repos. Now the command seems to work fine:
$ sudo /usr/local/bin/ncp-update
...
NextCloudPi updated to version v1.34.7

Follow

An update of my apps resulted in
calendar version 2.0.4
bookmarks version 3.4.9 and
contacts version 3.4.3
These fit well with my real version of 18.0.4.2.
How can I get nextcloudpi to do an update to 19.x or 20.x ?
Obviously, there is a difference in versions running vs. version estimated by nextcloudpi.
Does somebody know how to fix this, i. e. set the nextcloudpi estimation to 18.0.4.2 and the nextcloudpi version accordingly and not the v1.34.7 it thinks is already installed ?

Ā· Ā· 0 Ā· 0 Ā· 0
Sign in to participate in the conversation
Mastodon

The social network of the future: No ads, no corporate surveillance, ethical design, and decentralization! Own your data with Mastodon!